<div class="sub-page-container">
  <!-- Title -->
  <h1>{{ 'parameter.meteo.title' | translate }}</h1>
  <mat-divider></mat-divider>
  <div class="sub-page-body" *ngIf="meteo | async; let meteoValues">
    <div class="left-container" *ngIf="$schema | async; let schema">
      <div class="grid">
        <div class="grid-item upload">
          <div class="title">
            <h2>{{ 'parameter.meteo.fileType' | translate }}</h2>
            <mat-icon
              [matTooltip]="'parameter.meteo.fileTypeDescription' | translate"
              matTooltipPosition="right"
            >
              info_outlined
            </mat-icon>
          </div>
          <div class="flex-row">
            <mat-radio-group
              [(ngModel)]="meteoValues.meteo_filetype"
              class="radio-container"
              disableOptionCentering
            >
              <mat-radio-button #finoMetMast value="FINOMetMast"
                >{{ 'parameter.meteo.fino' | translate }}
              </mat-radio-button>
              <mat-radio-button #energyPlus value="EnergyPlusEPW"
                >{{ 'parameter.meteo.energyPlus' | translate }}
              </mat-radio-button>
            </mat-radio-group>
            <div class="button-container" *ngIf="finoMetMast.checked">
              <button
                mat-button
                class="icon-button light-stroked-pill-button"
                (click)="uploadDirectionMeasurements()"
              >
                <mat-icon>upload</mat-icon>
                {{ 'parameter.meteo.directionMeasurements' | translate }}
              </button>
              <button
                mat-button
                class="icon-button light-stroked-pill-button"
                (click)="uploadSpeedMeasurements()"
              >
                <mat-icon>upload</mat-icon>
                {{ 'parameter.meteo.speedMeasurements' | translate }}
              </button>
            </div>

            <div class="button-container" *ngIf="energyPlus.checked">
              <button
                mat-button
                class="icon-button light-stroked-pill-button"
                (click)="uploadEnergyPlusFile()"
              >
                <mat-icon>upload</mat-icon>
                {{ 'parameter.meteo.energyPlusFile' | translate }}
              </button>
            </div>
          </div>
        </div>

        <ng-container *ngIf="finoMetMast.checked || energyPlus.checked">
          <!-- Wind Bins -->
          <!-- 
          Wind Measurement Height
         -->
          <div class="grid-item wind-measurement-height">
            <div class="title">
              <h2>{{ 'parameter.meteo.windMsrmHeight' | translate }}</h2>
              <mat-icon
                [matTooltip]="
                  'parameter.meteo.windMsrmHeightDescription' | translate
                "
                matTooltipPosition="right"
              >
                info_outlined
              </mat-icon>
            </div>
            <energy-platform-parameter-slider
              #wind_measurement_height
              [unit]="schema.meteo.properties.wind_measurement_height.unit"
              [min]="schema.meteo.properties.wind_measurement_height.minimum"
              [max]="schema.meteo.properties.wind_measurement_height.maximum"
              [step]="schema.meteo.properties.wind_measurement_height.step"
              [value]="meteoValues.wind_measurement_height"
              (valueChange)="meteoValues.wind_measurement_height = $event"
            >
            </energy-platform-parameter-slider>
          </div>
          <!-- 
          Number of Wind Directions
         -->
          <div class="grid-item number-of-wind-directions">
            <div class="title">
              <h2>{{ 'parameter.meteo.windDirectionsNumber' | translate }}</h2>
              <mat-icon
                [matTooltip]="
                  'parameter.meteo.windDirectionsNumberDescription' | translate
                "
                matTooltipPosition="right"
              >
                info_outlined
              </mat-icon>
            </div>
            <energy-platform-parameter-slider
              #number_direction_slots
              [unit]="schema.meteo.properties.number_direction_slots.unit"
              [min]="schema.meteo.properties.number_direction_slots.minimum"
              [max]="schema.meteo.properties.number_direction_slots.maximum"
              [step]="schema.meteo.properties.number_direction_slots.step"
              [value]="meteoValues.number_direction_slots"
              (valueChange)="meteoValues.number_direction_slots = $event"
            >
            </energy-platform-parameter-slider>
          </div>
        </ng-container>
      </div>
      <!-- 
        Generate Wind File
       -->
      <button
        mat-button
        class="pill-button save-button"
        (click)="generateWindFile()"
      >
        {{ 'parameter.meteo.generateWindFile' | translate }}
      </button>
      <!--
        Save Button
            ><br />
      -->
      <button mat-button class="pill-button save-button" (click)="onSave()">
        {{ 'parameter.general.save' | translate }}
      </button>
    </div>
    <div class="right-container">
      <div class="grid">
        <!-- 
            Timeslot
           -->
        <div class="grid-item timeslot">
          <div class="title">
            <h2>{{ 'parameter.meteo.timeslot' | translate }}</h2>
            <span>
              <span [hidden]="timeslotToggle.checked">
                {{ 'parameter.meteo.show24h' | translate }}
              </span>
              &nbsp;
              <mat-slide-toggle
                #timeslotToggle
                color="primary"
              ></mat-slide-toggle>
            </span>
          </div>
          <div [hidden]="!timeslotToggle.checked">
            <energy-platform-parameter-slider
              #matSlider_timeslot
              [unit]="''"
              [min]="0"
              [max]="23"
              [step]="1"
            >
            </energy-platform-parameter-slider>
          </div>
        </div>
        <!--
          Wind Rose
        -->
        <div class="grid-item wind-rose">
          <div class="title">
            <h2>{{ 'parameter.meteo.windRose' | translate }}</h2>
          </div>
          <energy-platform-windrose-chart
            #windroseChart
            [bins]="windBins"
            [timeslot]="
              isValidSliderInput(matSlider_timeslot)
                ? matSlider_timeslot.value || 0
                : matSlider_timeslot.min || 0
            "
            (selected)="selected = $event"
          >
          </energy-platform-windrose-chart>
        </div>
        <!--
          Weibull Distribution
        -->
        <div class="grid-item weibull-distribution">
          <div class="title">
            <h2>{{ 'parameter.meteo.weibullDistr' | translate }}</h2>
          </div>
          <energy-platform-weibull-chart
            [weibull]="windWeibull"
            [timeslot]="
              isValidSliderInput(matSlider_timeslot)
                ? matSlider_timeslot.value || 0
                : matSlider_timeslot.min || 0
            "
            [direction]="selected.theta"
          >
          </energy-platform-weibull-chart>
        </div>
      </div>
    </div>
  </div>
</div>
